Public Member Functions
ShaderStructParamDef Class Reference

## Detailed Description

Represents the Structure specialization of a shader parameter definition.

This object allows you to access the sub-elements contained by this shader parameter (ShaderStructParamDef::GetSubParamDefs, which returns a list of sub parameter definitions in a ShaderParamDefContainer).

To create a ShaderStructParamDef object, specify the siShaderDataTypeStructure shader parameter type in the call to ShaderParamDefContainer::AddParamDef or ShaderParamDefContainer::AddArrayParamDef.

See also:
  ShaderParamDefContainer::AddParamDef, ShaderParamDefContainer::AddArrayParamDef, ShaderParameter::GetDefinition, ShaderParamDefContainer, ShaderArrayParamDef, ShaderDefinitions/netview_ShaderDefs Color Sampler example

Since:
  9.0 (2011)

`#include <xsi_shaderstructparamdef.h>`

Inheritance diagram for ShaderStructParamDef:
[legend]

List of all members.

## Public Member Functions
| ShaderStructParamDef ()
| ~ShaderStructParamDef ()
| ShaderStructParamDef (const CRef &in_ref)
| ShaderStructParamDef (const ShaderStructParamDef &in_obj)
bool | IsA (siClassID in_ClassID) const
siClassID | GetClassID () const
ShaderStructParamDef & | operator= (const ShaderStructParamDef &in_obj)
ShaderStructParamDef & | operator= (const CRef &in_ref)
ShaderParamDefContainer | GetSubParamDefs () const

## Constructor & Destructor Documentation

ShaderStructParamDef | ( |  | ) |

Default constructor.

~ShaderStructParamDef | ( |  | ) |

Default destructor.

ShaderStructParamDef | ( | const CRef & | in_ref | ) |

Constructor.

Parameters:

  in_ref | constant reference object.

ShaderStructParamDef | ( | const ShaderStructParamDef & | in_obj | ) |

Copy constructor.

Parameters:

  in_obj | constant class object.

## Member Function Documentation

bool IsA | ( | siClassID | in_ClassID | ) | const `[virtual]`

Returns true if a given class type is compatible with this API class.

Parameters:

  in_ClassID | class type.

Returns:
  true if the class is compatible, false otherwise.

Reimplemented from ShaderParamDef.

siClassID GetClassID | ( |  | ) | const `[virtual]`

Returns the type of the API class.

Returns:
  The class type.

Reimplemented from ShaderParamDef.

ShaderStructParamDef& operator= | ( | const ShaderStructParamDef & | in_obj | ) |

Creates an object from another object. The newly created object is set to empty if the input object is not compatible.

Parameters:

  in_obj | constant class object.

Returns:
  The new ShaderStructParamDef object.

ShaderStructParamDef& operator= | ( | const CRef & | in_ref | ) |

Creates an object from a reference object. The newly created object is set to empty if the input reference object is not compatible.

Parameters:

  in_ref | constant class object.

Returns:
  The new ShaderStructParamDef object.

Reimplemented from ShaderParamDef.

ShaderParamDefContainer GetSubParamDefs | ( |  | ) | const

Returns a ShaderParamDefContainer containing the sub parameter definitions for this struct parameter, which you can use to add new sub-parameters.

Returns:
  Container for sub ShaderParamDef objects

See also:
  ShaderParamDefContainer::AddParamDef, ShaderParamDefContainer::AddArrayParamDef

Since:
  9.0 (2011)

The documentation for this class was generated from the following file:

- xsi_shaderstructparamdef.h